﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Math;

namespace DemoLibrary
{
    public static class CalculationUtils
    {
        /// <summary>
        /// </summary>
        /// <param name="original">A <see cref="Double"/></param>
        /// <returns>A number based on the original as a <see cref="Int32"/></returns>
        public static int GetNumber(double original)
        {
            return (int)Round(original);
        }

        public static bool IsPositive(this double original)
        {
            return Sign(original) > 0;
        }

    }
}
